/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jogo;

import java.awt.Graphics2D;
import util.Elemento;
import util.JogoTimer;

/**
 *
 * @author mello
 */
public class Jogador extends Elemento {
    private int qualImagem; // para indicar qual imagem exibir

    public Jogador(JogoTimer p, String imagemNome, int mx, int my) {
        super(p, imagemNome, mx, my);
        this.icone = this.carregarImagem(this.imagemNome);
        this.qualImagem = 0;
    }

    /**
     * Desenha o jogador na tela
     *
     * @param g
     */
    @Override
    public void desenhar(Graphics2D g) {
        /**
         * **********************************************
         */
        // desenhando o icone do Jogador na Tela
        g.drawImage(this.icone, this.posX, this.posY, this.jogo);

    }

    /**
     * Atualiza as coordenadas os elementos na tela
     */
    @Override
    public void atualizar() {
        this.qualImagem = ((this.qualImagem + 1) % 4); // para garantir o intervalo de 0 a 3
        this.icone = this.carregarImagem(this.qualImagem + ".png");

    }

}
